This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 89915 - config-network won't allow activation without an edit
config-network won't allow activation without an edit
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-29 14:39 EDT by Jan Moren
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-11 10:10:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Moren 2003-04-29 14:39:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021209
Phoenix/0.5

Description of problem:
I have two profiles set up for the same network card (three, really, but
apparently the Common profile should be unused). When trying to activate the
device, nothing happens, unless I first do a change (any change) and save the
profile first. Switching between profiles does not help. Using
redhat-config-network-cmd to activate the device always yields just a dump of
all network parameters.

This bug was present for me in the previous version as well (the one shipping
with rh9), but I used neat to choose profiles and activate the network. With
this version, however, neat throws an exception no matter what I do (i'm filing
a separate bug on this), so this issue - which I'd just about forgotten about,
suddenly became a bit more urgent. This issue was not present in rh8.


Version-Release number of selected component (if applicable):
redhat-config-network-1.2.4-2

How reproducible:
Always

Steps to Reproduce:
1. Create two profiles for the same device
2. Save, reboot, log in
3. run redhat-network-control and try to activate the currently selected profile
    

Actual Results:  nothing

Expected Results:  activate the device

Additional info:
Comment 1 Harald Hoyer 2003-04-30 06:34:20 EDT
fixed in 1.2.4-3
ftp://people.redhat.com/harald/redhat-config-network/1.2.4-RH9/
Comment 2 Jan Moren 2003-05-05 05:30:56 EDT
Nope, the new version doesn't fix it. Instead, now not even making a change will
make the tool activate the network. I can get the network to start just fine
using ifup directly, so the basic config is at least functional.
Comment 3 Jan Moren 2003-05-07 11:00:55 EDT
1.2.6 fixes it. 
Comment 4 Harald Hoyer 2003-08-11 10:10:31 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-183.html

Note You need to log in before you can comment on or make changes to this bug.